Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Class SAMStreamSession.SAMStreamSessionSocketReader

    java.lang.Object
      net.i2p.sam.SAMStreamSession.SAMStreamSessionSocketReader

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SAMStreamSession.SAMv1StreamSessionSocketReader

Enclosing class:
  SAMStreamSession

    public class SAMStreamSession.SAMStreamSessionSocketReader

extends Object
implements Runnable

SAM STREAM socket reader, running in its own thread. It forwards forward data to/from an I2P socket.

Author:
  human

Field Summary
`protected I2PSocket` | `i2pSocket`
`protected int` | `id`
`protected Object` | `runningLock`
`protected boolean` | `stillRunning`

Constructor Summary
`SAMStreamSession.SAMStreamSessionSocketReader(I2PSocket s, int id)` Create a new SAM STREAM session socket reader

Method Summary
`void` | `run()`
`void` | `stopRunning()` Stop a SAM STREAM session socket reader thread immediately.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i2pSocket

    protected I2PSocket i2pSocket

### runningLock

    protected Object runningLock

### stillRunning

    protected boolean stillRunning

### id

    protected int id

Constructor Detail

### SAMStreamSession.SAMStreamSessionSocketReader

    public SAMStreamSession.SAMStreamSessionSocketReader(I2PSocket s,
                                                         int id)
                                                  throws IOException

  Create a new SAM STREAM session socket reader

  Parameters:
    `s` - Socket to be handled
    `id` - Unique id assigned to the handler
  Throws:
    `IOException`

Method Detail

### stopRunning

    public void stopRunning()

  Stop a SAM STREAM session socket reader thread immediately.

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD